<app-page-header headerTitle="Add City">
    <app-button text="Back" (onClick)="goToList()"> </app-button>
</app-page-header>
<app-card>
  <form [formGroup]="cityForm">
      <div class="row">
          <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
                  <label for="SelectCountry" class="form-label">Country<span class="text-danger">*</span></label>
                  <ng-select appendTo="body"
                  [items]="countryList"
                  bindLabel="countryName"
                  bindValue="id"
                  (change)="setCountry($event)"
                  formControlName="countryId">
                  </ng-select>
                  <div *ngIf="submit  &&  g['countryId'].errors" class="alert-error">
                      <div *ngIf="submit && g['countryId'].errors['required']" class="alert-error">
                          Country is required
                      </div>
                  </div>
              </div>
          </div>
          <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
                  <label for="SelectState" class="form-label">State<span class="text-danger">*</span></label>
                  <ng-select appendTo="body"
                  [items]="stateList"
                  bindLabel="stateName"
                  bindValue="id"
                  (change)="setState()"
                  formControlName="stateId">
                  </ng-select>
                  <div *ngIf="submit  &&  g['stateId'].errors" class="alert-error">
                      <div *ngIf="submit && g['stateId'].errors['required']" class="alert-error">
                          State is required
                      </div>
                  </div>
              </div>
            </div>
            <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
                  <label for="cityName" class="form-label">City Name<span class="text-danger">*</span></label>
                  <input type="text" class="form-control" formControlName="cityName">
                  <div *ngIf="submit  &&  g['cityName'].errors" class="alert-error">
                      <div *ngIf="submit && g['cityName'].errors['required']" class="alert-error">
                          City Name is required
                      </div>
                  </div>
              </div>
            </div>
            <div class="col-lg-4 col-sm-12 col-md-4">

              <div class="form-group">
                  <label for="stdCode" class="form-label">STD Code</label>
                  <input type="text" class="form-control" formControlName="stdCode">
                  <!-- <div *ngIf="submit  &&  g.stdCode.errors" class="alert-error">
                      <div *ngIf="submit && g.stdCode.errors.required" class="alert-error">
                          STD Code is required
                      </div>
                  </div> -->
              </div>
            </div>
            <div class="col-lg-4 col-sm-12 col-md-4">
              <div class="form-group">
              <app-switch label="Status" *ngIf="Id" formControlName="isActive">
              </app-switch>
              </div>

          </div>
      </div>
  </form>
</app-card>
<div class="text-end my-4 mx-2">
    <app-button text="Submit" *ngIf="!Id" (onClick)="onSubmit($event)">
    </app-button>

    <app-button text="Update" *ngIf="Id" (onClick)="onSubmit($event)">
    </app-button>

    <app-button text="Cancel" color="secondary" (onClick)="goToList()">
    </app-button>
</div>
